aboutsummaryrefslogtreecommitdiff
path: root/contrib/Makefile.in
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/Makefile.in')
-rw-r--r--contrib/Makefile.in181
1 files changed, 133 insertions, 48 deletions
diff --git a/contrib/Makefile.in b/contrib/Makefile.in
index 34ab9e6c..5ab2bdab 100644
--- a/contrib/Makefile.in
+++ b/contrib/Makefile.in
@@ -1,8 +1,9 @@
1# Makefile.in generated by automake 1.10.1 from Makefile.am. 1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@ 2# @configure_input@
3 3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc. 5# 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
6# Inc.
6# This Makefile.in is free software; the Free Software Foundation 7# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it, 8# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved. 9# with or without modifications, as long as this notice is preserved.
@@ -16,8 +17,9 @@
16 17
17VPATH = @srcdir@ 18VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@ 19pkgdatadir = $(datadir)/@PACKAGE@
19pkglibdir = $(libdir)/@PACKAGE@
20pkgincludedir = $(includedir)/@PACKAGE@ 20pkgincludedir = $(includedir)/@PACKAGE@
21pkglibdir = $(libdir)/@PACKAGE@
22pkglibexecdir = $(libexecdir)/@PACKAGE@
21am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd 23am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22install_sh_DATA = $(install_sh) -c -m 644 24install_sh_DATA = $(install_sh) -c -m 644
23install_sh_PROGRAM = $(install_sh) -c 25install_sh_PROGRAM = $(install_sh) -c
@@ -49,6 +51,7 @@ am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
49mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs 51mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
50CONFIG_HEADER = $(top_builddir)/gnunet_gtk_config.h 52CONFIG_HEADER = $(top_builddir)/gnunet_gtk_config.h
51CONFIG_CLEAN_FILES = 53CONFIG_CLEAN_FILES =
54CONFIG_CLEAN_VPATH_FILES =
52SOURCES = 55SOURCES =
53DIST_SOURCES = 56DIST_SOURCES =
54RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \ 57RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
@@ -63,16 +66,58 @@ am__vpath_adj = case $$p in \
63 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \ 66 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
64 *) f=$$p;; \ 67 *) f=$$p;; \
65 esac; 68 esac;
66am__strip_dir = `echo $$p | sed -e 's|^.*/||'`; 69am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
70am__install_max = 40
71am__nobase_strip_setup = \
72 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
73am__nobase_strip = \
74 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
75am__nobase_list = $(am__nobase_strip_setup); \
76 for p in $$list; do echo "$$p $$p"; done | \
77 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
78 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
79 if (++n[$$2] == $(am__install_max)) \
80 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
81 END { for (dir in files) print dir, files[dir] }'
82am__base_list = \
83 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
84 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
67am__installdirs = "$(DESTDIR)$(pkgdatadir)" 85am__installdirs = "$(DESTDIR)$(pkgdatadir)"
68pkgdataDATA_INSTALL = $(INSTALL_DATA)
69DATA = $(pkgdata_DATA) 86DATA = $(pkgdata_DATA)
70RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \ 87RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
71 distclean-recursive maintainer-clean-recursive 88 distclean-recursive maintainer-clean-recursive
89AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
90 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
91 distdir
72ETAGS = etags 92ETAGS = etags
73CTAGS = ctags 93CTAGS = ctags
74DIST_SUBDIRS = $(SUBDIRS) 94DIST_SUBDIRS = $(SUBDIRS)
75DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) 95DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
96am__relativize = \
97 dir0=`pwd`; \
98 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
99 sed_rest='s,^[^/]*/*,,'; \
100 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
101 sed_butlast='s,/*[^/]*$$,,'; \
102 while test -n "$$dir1"; do \
103 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
104 if test "$$first" != "."; then \
105 if test "$$first" = ".."; then \
106 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
107 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
108 else \
109 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
110 if test "$$first2" = "$$first"; then \
111 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
112 else \
113 dir2="../$$dir2"; \
114 fi; \
115 dir0="$$dir0"/"$$first"; \
116 fi; \
117 fi; \
118 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
119 done; \
120 reldir="$$dir2"
76ACLOCAL = @ACLOCAL@ 121ACLOCAL = @ACLOCAL@
77AMTAR = @AMTAR@ 122AMTAR = @AMTAR@
78AR = @AR@ 123AR = @AR@
@@ -142,6 +187,7 @@ PACKAGE_DATA = @PACKAGE_DATA@
142PACKAGE_NAME = @PACKAGE_NAME@ 187PACKAGE_NAME = @PACKAGE_NAME@
143PACKAGE_STRING = @PACKAGE_STRING@ 188PACKAGE_STRING = @PACKAGE_STRING@
144PACKAGE_TARNAME = @PACKAGE_TARNAME@ 189PACKAGE_TARNAME = @PACKAGE_TARNAME@
190PACKAGE_URL = @PACKAGE_URL@
145PACKAGE_VERSION = @PACKAGE_VERSION@ 191PACKAGE_VERSION = @PACKAGE_VERSION@
146PATH_SEPARATOR = @PATH_SEPARATOR@ 192PATH_SEPARATOR = @PATH_SEPARATOR@
147PKG_CONFIG = @PKG_CONFIG@ 193PKG_CONFIG = @PKG_CONFIG@
@@ -205,6 +251,7 @@ sharedstatedir = @sharedstatedir@
205srcdir = @srcdir@ 251srcdir = @srcdir@
206sysconfdir = @sysconfdir@ 252sysconfdir = @sysconfdir@
207target_alias = @target_alias@ 253target_alias = @target_alias@
254top_build_prefix = @top_build_prefix@
208top_builddir = @top_builddir@ 255top_builddir = @top_builddir@
209top_srcdir = @top_srcdir@ 256top_srcdir = @top_srcdir@
210SUBDIRS = . 257SUBDIRS = .
@@ -235,14 +282,14 @@ $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
235 @for dep in $?; do \ 282 @for dep in $?; do \
236 case '$(am__configure_deps)' in \ 283 case '$(am__configure_deps)' in \
237 *$$dep*) \ 284 *$$dep*) \
238 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \ 285 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
239 && exit 0; \ 286 && { if test -f $@; then exit 0; else break; fi; }; \
240 exit 1;; \ 287 exit 1;; \
241 esac; \ 288 esac; \
242 done; \ 289 done; \
243 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu contrib/Makefile'; \ 290 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu contrib/Makefile'; \
244 cd $(top_srcdir) && \ 291 $(am__cd) $(top_srcdir) && \
245 $(AUTOMAKE) --gnu contrib/Makefile 292 $(AUTOMAKE) --gnu contrib/Makefile
246.PRECIOUS: Makefile 293.PRECIOUS: Makefile
247Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status 294Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
248 @case '$?' in \ 295 @case '$?' in \
@@ -260,6 +307,7 @@ $(top_srcdir)/configure: $(am__configure_deps)
260 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh 307 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
261$(ACLOCAL_M4): $(am__aclocal_m4_deps) 308$(ACLOCAL_M4): $(am__aclocal_m4_deps)
262 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh 309 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
310$(am__aclocal_m4_deps):
263 311
264mostlyclean-libtool: 312mostlyclean-libtool:
265 -rm -f *.lo 313 -rm -f *.lo
@@ -269,20 +317,23 @@ clean-libtool:
269install-pkgdataDATA: $(pkgdata_DATA) 317install-pkgdataDATA: $(pkgdata_DATA)
270 @$(NORMAL_INSTALL) 318 @$(NORMAL_INSTALL)
271 test -z "$(pkgdatadir)" || $(MKDIR_P) "$(DESTDIR)$(pkgdatadir)" 319 test -z "$(pkgdatadir)" || $(MKDIR_P) "$(DESTDIR)$(pkgdatadir)"
272 @list='$(pkgdata_DATA)'; for p in $$list; do \ 320 @list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
321 for p in $$list; do \
273 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \ 322 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
274 f=$(am__strip_dir) \ 323 echo "$$d$$p"; \
275 echo " $(pkgdataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgdatadir)/$$f'"; \ 324 done | $(am__base_list) | \
276 $(pkgdataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \ 325 while read files; do \
326 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgdatadir)'"; \
327 $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgdatadir)" || exit $$?; \
277 done 328 done
278 329
279uninstall-pkgdataDATA: 330uninstall-pkgdataDATA:
280 @$(NORMAL_UNINSTALL) 331 @$(NORMAL_UNINSTALL)
281 @list='$(pkgdata_DATA)'; for p in $$list; do \ 332 @list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
282 f=$(am__strip_dir) \ 333 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
283 echo " rm -f '$(DESTDIR)$(pkgdatadir)/$$f'"; \ 334 test -n "$$files" || exit 0; \
284 rm -f "$(DESTDIR)$(pkgdatadir)/$$f"; \ 335 echo " ( cd '$(DESTDIR)$(pkgdatadir)' && rm -f" $$files ")"; \
285 done 336 cd "$(DESTDIR)$(pkgdatadir)" && rm -f $$files
286 337
287# This directory's subdirectories are mostly independent; you can cd 338# This directory's subdirectories are mostly independent; you can cd
288# into them and run `make' without going through this Makefile. 339# into them and run `make' without going through this Makefile.
@@ -291,7 +342,7 @@ uninstall-pkgdataDATA:
291# (which will cause the Makefiles to be regenerated when you run `make'); 342# (which will cause the Makefiles to be regenerated when you run `make');
292# (2) otherwise, pass the desired values on the `make' command line. 343# (2) otherwise, pass the desired values on the `make' command line.
293$(RECURSIVE_TARGETS): 344$(RECURSIVE_TARGETS):
294 @failcom='exit 1'; \ 345 @fail= failcom='exit 1'; \
295 for f in x $$MAKEFLAGS; do \ 346 for f in x $$MAKEFLAGS; do \
296 case $$f in \ 347 case $$f in \
297 *=* | --[!k]*);; \ 348 *=* | --[!k]*);; \
@@ -308,7 +359,7 @@ $(RECURSIVE_TARGETS):
308 else \ 359 else \
309 local_target="$$target"; \ 360 local_target="$$target"; \
310 fi; \ 361 fi; \
311 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ 362 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
312 || eval $$failcom; \ 363 || eval $$failcom; \
313 done; \ 364 done; \
314 if test "$$dot_seen" = "no"; then \ 365 if test "$$dot_seen" = "no"; then \
@@ -316,7 +367,7 @@ $(RECURSIVE_TARGETS):
316 fi; test -z "$$fail" 367 fi; test -z "$$fail"
317 368
318$(RECURSIVE_CLEAN_TARGETS): 369$(RECURSIVE_CLEAN_TARGETS):
319 @failcom='exit 1'; \ 370 @fail= failcom='exit 1'; \
320 for f in x $$MAKEFLAGS; do \ 371 for f in x $$MAKEFLAGS; do \
321 case $$f in \ 372 case $$f in \
322 *=* | --[!k]*);; \ 373 *=* | --[!k]*);; \
@@ -342,16 +393,16 @@ $(RECURSIVE_CLEAN_TARGETS):
342 else \ 393 else \
343 local_target="$$target"; \ 394 local_target="$$target"; \
344 fi; \ 395 fi; \
345 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ 396 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
346 || eval $$failcom; \ 397 || eval $$failcom; \
347 done && test -z "$$fail" 398 done && test -z "$$fail"
348tags-recursive: 399tags-recursive:
349 list='$(SUBDIRS)'; for subdir in $$list; do \ 400 list='$(SUBDIRS)'; for subdir in $$list; do \
350 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \ 401 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
351 done 402 done
352ctags-recursive: 403ctags-recursive:
353 list='$(SUBDIRS)'; for subdir in $$list; do \ 404 list='$(SUBDIRS)'; for subdir in $$list; do \
354 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \ 405 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
355 done 406 done
356 407
357ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES) 408ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
@@ -359,14 +410,14 @@ ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
359 unique=`for i in $$list; do \ 410 unique=`for i in $$list; do \
360 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ 411 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
361 done | \ 412 done | \
362 $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \ 413 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
363 END { if (nonempty) { for (i in files) print i; }; }'`; \ 414 END { if (nonempty) { for (i in files) print i; }; }'`; \
364 mkid -fID $$unique 415 mkid -fID $$unique
365tags: TAGS 416tags: TAGS
366 417
367TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ 418TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
368 $(TAGS_FILES) $(LISP) 419 $(TAGS_FILES) $(LISP)
369 tags=; \ 420 set x; \
370 here=`pwd`; \ 421 here=`pwd`; \
371 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \ 422 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
372 include_option=--etags-include; \ 423 include_option=--etags-include; \
@@ -378,7 +429,7 @@ TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
378 list='$(SUBDIRS)'; for subdir in $$list; do \ 429 list='$(SUBDIRS)'; for subdir in $$list; do \
379 if test "$$subdir" = .; then :; else \ 430 if test "$$subdir" = .; then :; else \
380 test ! -f $$subdir/TAGS || \ 431 test ! -f $$subdir/TAGS || \
381 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \ 432 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
382 fi; \ 433 fi; \
383 done; \ 434 done; \
384 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ 435 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
@@ -387,29 +438,34 @@ TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
387 done | \ 438 done | \
388 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ 439 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
389 END { if (nonempty) { for (i in files) print i; }; }'`; \ 440 END { if (nonempty) { for (i in files) print i; }; }'`; \
390 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \ 441 shift; \
442 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
391 test -n "$$unique" || unique=$$empty_fix; \ 443 test -n "$$unique" || unique=$$empty_fix; \
392 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ 444 if test $$# -gt 0; then \
393 $$tags $$unique; \ 445 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
446 "$$@" $$unique; \
447 else \
448 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
449 $$unique; \
450 fi; \
394 fi 451 fi
395ctags: CTAGS 452ctags: CTAGS
396CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ 453CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
397 $(TAGS_FILES) $(LISP) 454 $(TAGS_FILES) $(LISP)
398 tags=; \
399 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ 455 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
400 unique=`for i in $$list; do \ 456 unique=`for i in $$list; do \
401 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ 457 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
402 done | \ 458 done | \
403 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ 459 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
404 END { if (nonempty) { for (i in files) print i; }; }'`; \ 460 END { if (nonempty) { for (i in files) print i; }; }'`; \
405 test -z "$(CTAGS_ARGS)$$tags$$unique" \ 461 test -z "$(CTAGS_ARGS)$$unique" \
406 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ 462 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
407 $$tags $$unique 463 $$unique
408 464
409GTAGS: 465GTAGS:
410 here=`$(am__cd) $(top_builddir) && pwd` \ 466 here=`$(am__cd) $(top_builddir) && pwd` \
411 && cd $(top_srcdir) \ 467 && $(am__cd) $(top_srcdir) \
412 && gtags -i $(GTAGS_ARGS) $$here 468 && gtags -i $(GTAGS_ARGS) "$$here"
413 469
414distclean-tags: 470distclean-tags:
415 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags 471 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
@@ -430,29 +486,44 @@ distdir: $(DISTFILES)
430 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \ 486 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
431 if test -d $$d/$$file; then \ 487 if test -d $$d/$$file; then \
432 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \ 488 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
489 if test -d "$(distdir)/$$file"; then \
490 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
491 fi; \
433 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \ 492 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
434 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \ 493 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
494 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
435 fi; \ 495 fi; \
436 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \ 496 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
437 else \ 497 else \
438 test -f $(distdir)/$$file \ 498 test -f "$(distdir)/$$file" \
439 || cp -p $$d/$$file $(distdir)/$$file \ 499 || cp -p $$d/$$file "$(distdir)/$$file" \
440 || exit 1; \ 500 || exit 1; \
441 fi; \ 501 fi; \
442 done 502 done
443 list='$(DIST_SUBDIRS)'; for subdir in $$list; do \ 503 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
444 if test "$$subdir" = .; then :; else \ 504 if test "$$subdir" = .; then :; else \
445 test -d "$(distdir)/$$subdir" \ 505 test -d "$(distdir)/$$subdir" \
446 || $(MKDIR_P) "$(distdir)/$$subdir" \ 506 || $(MKDIR_P) "$(distdir)/$$subdir" \
447 || exit 1; \ 507 || exit 1; \
448 distdir=`$(am__cd) $(distdir) && pwd`; \ 508 fi; \
449 top_distdir=`$(am__cd) $(top_distdir) && pwd`; \ 509 done
450 (cd $$subdir && \ 510 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
511 if test "$$subdir" = .; then :; else \
512 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
513 $(am__relativize); \
514 new_distdir=$$reldir; \
515 dir1=$$subdir; dir2="$(top_distdir)"; \
516 $(am__relativize); \
517 new_top_distdir=$$reldir; \
518 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
519 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
520 ($(am__cd) $$subdir && \
451 $(MAKE) $(AM_MAKEFLAGS) \ 521 $(MAKE) $(AM_MAKEFLAGS) \
452 top_distdir="$$top_distdir" \ 522 top_distdir="$$new_top_distdir" \
453 distdir="$$distdir/$$subdir" \ 523 distdir="$$new_distdir" \
454 am__remove_distdir=: \ 524 am__remove_distdir=: \
455 am__skip_length_check=: \ 525 am__skip_length_check=: \
526 am__skip_mode_fix=: \
456 distdir) \ 527 distdir) \
457 || exit 1; \ 528 || exit 1; \
458 fi; \ 529 fi; \
@@ -488,6 +559,7 @@ clean-generic:
488 559
489distclean-generic: 560distclean-generic:
490 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) 561 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
562 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
491 563
492maintainer-clean-generic: 564maintainer-clean-generic:
493 @echo "This command is intended for maintainers to use" 565 @echo "This command is intended for maintainers to use"
@@ -506,6 +578,8 @@ dvi-am:
506 578
507html: html-recursive 579html: html-recursive
508 580
581html-am:
582
509info: info-recursive 583info: info-recursive
510 584
511info-am: 585info-am:
@@ -514,18 +588,28 @@ install-data-am: install-data-local install-pkgdataDATA
514 588
515install-dvi: install-dvi-recursive 589install-dvi: install-dvi-recursive
516 590
591install-dvi-am:
592
517install-exec-am: 593install-exec-am:
518 594
519install-html: install-html-recursive 595install-html: install-html-recursive
520 596
597install-html-am:
598
521install-info: install-info-recursive 599install-info: install-info-recursive
522 600
601install-info-am:
602
523install-man: 603install-man:
524 604
525install-pdf: install-pdf-recursive 605install-pdf: install-pdf-recursive
526 606
607install-pdf-am:
608
527install-ps: install-ps-recursive 609install-ps: install-ps-recursive
528 610
611install-ps-am:
612
529installcheck-am: 613installcheck-am:
530 614
531maintainer-clean: maintainer-clean-recursive 615maintainer-clean: maintainer-clean-recursive
@@ -546,8 +630,8 @@ ps-am:
546 630
547uninstall-am: uninstall-pkgdataDATA 631uninstall-am: uninstall-pkgdataDATA
548 632
549.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \ 633.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
550 install-strip 634 install-am install-strip tags-recursive
551 635
552.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \ 636.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
553 all all-am check check-am clean clean-generic clean-libtool \ 637 all all-am check check-am clean clean-generic clean-libtool \
@@ -584,6 +668,7 @@ dist-hook:
584 fi \ 668 fi \
585 done \ 669 done \
586 fi 670 fi
671
587# Tell versions [3.59,3.63) of GNU make to not export all variables. 672# Tell versions [3.59,3.63) of GNU make to not export all variables.
588# Otherwise a system limit (for SysV at least) may be exceeded. 673# Otherwise a system limit (for SysV at least) may be exceeded.
589.NOEXPORT: 674.NOEXPORT: